Main Page Widgets Namespaces Book

# Glib::MainContext Class Reference
[The Main Event Loop]

List of all members.

## Detailed Description

Main context.

## Public Types

typedef Glib::MainContext | CppObjectType
typedef GMainContext | BaseObjectType

## Public Member Functions

bool | iteration (bool may_block)
bool | pending ()
void | wakeup ()
bool | acquire ()
bool | wait (Glib::Cond& cond, Glib::Mutex& mutex)
void | release ()
bool | prepare (int& priority)
bool | prepare ()
void | query (int max_priority, int& timeout, std::vector<PollFD>& fds)
bool | check (int max_priority, std::vector<PollFD>& fds)
void | dispatch ()
void | set_poll_func (GPollFunc poll_func)
GPollFunc | get_poll_func ()
void | add_poll (PollFD& fd, int priority)
void | remove_poll (PollFD& fd)
SignalTimeout | signal_timeout ()
| Timeout signal, attached to this MainContext.
SignalIdle | signal_idle ()
| Idle signal, attached to this MainContext.
SignalIO | signal_io ()
| I/O signal, attached to this MainContext.
void | reference () const
void | unreference () const
GMainContext* | gobj ()
const GMainContext* | gobj () const
GMainContext* | gobj_copy () const

## Static Public Member Functions

Glib::RefPtr<MainContext> | create ()
Glib::RefPtr<MainContext> | get_default ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<MainContext> | wrap (GMainContext* gobject, bool take_copy=false)

## Member Typedef Documentation

typedef GMainContext Glib::MainContext::BaseObjectType

typedef Glib::MainContext Glib::MainContext::CppObjectType

## Member Function Documentation

bool Glib::MainContext::acquire | ( |  | ) |

void Glib::MainContext::add_poll | ( | PollFD& | fd,
|  | int | priority
| ) |

bool Glib::MainContext::check | ( | int | max_priority,
|  | std::vector<PollFD>& | fds
| ) |

Glib::RefPtr<MainContext> Glib::MainContext::create | ( |  | ) | `[static]`

void Glib::MainContext::dispatch | ( |  | ) |

Glib::RefPtr<MainContext> Glib::MainContext::get_default | ( |  | ) | `[static]`

GPollFunc Glib::MainContext::get_poll_func | ( |  | ) |

const GMainContext* Glib::MainContext::gobj | ( |  | ) | const

GMainContext* Glib::MainContext::gobj | ( |  | ) |

GMainContext* Glib::MainContext::gobj_copy | ( |  | ) | const

bool Glib::MainContext::iteration | ( | bool | may_block | ) |

bool Glib::MainContext::pending | ( |  | ) |

bool Glib::MainContext::prepare | ( |  | ) |

bool Glib::MainContext::prepare | ( | int& | priority | ) |

void Glib::MainContext::query | ( | int | max_priority,
|  | int& | timeout,
|  | std::vector<PollFD>& | fds
| ) |

void Glib::MainContext::reference | ( |  | ) | const

void Glib::MainContext::release | ( |  | ) |

void Glib::MainContext::remove_poll | ( | PollFD& | fd | ) |

void Glib::MainContext::set_poll_func | ( | GPollFunc | poll_func | ) |

SignalIdle Glib::MainContext::signal_idle | ( |  | ) |

Idle signal, attached to this MainContext.

Returns:
  A signal proxy; you want to use SignalIdle::connect().

SignalIO Glib::MainContext::signal_io | ( |  | ) |

I/O signal, attached to this MainContext.

Returns:
  A signal proxy; you want to use SignalIO::connect().

SignalTimeout Glib::MainContext::signal_timeout | ( |  | ) |

Timeout signal, attached to this MainContext.

Returns:
  A signal proxy; you want to use SignalTimeout::connect().

void Glib::MainContext::unreference | ( |  | ) | const

bool Glib::MainContext::wait | ( | Glib::Cond& | cond,
|  | Glib::Mutex& | mutex
| ) |

void Glib::MainContext::wakeup | ( |  | ) |

The documentation for this class was generated from the following file:

- glib/glibmm/main.h